local volume = req_rel(..., "util")

return gears.table.join(
	awful.key( {}, "XF86AudioRaiseVolume",
		function ()
			volume.volume_up()
			awesome.emit_signal("module::volume_popup:show")
		end,
		{
			description = "Volume up",
			group = "System"
		}
	),

	awful.key( {}, "XF86AudioLowerVolume",
		function ()
			volume.volume_down()
			awesome.emit_signal("module::volume_popup:show")
		end,
		{
			description = "Volume down",
			group = "System"
		}
	),

	awful.key( {}, "XF86AudioMute",
		function ()
			volume.toggle_mute()
			awesome.emit_signal("module::volume_popup:show")
		end,
		{
			description = "Mute",
			group = "System"
		}
	)
)
